Skip to main content
GET
Fetch a QR code

Authorizations

Authorization
string
header
required

Use your Razorpay Key ID as the username and Key Secret as the password.

Path Parameters

id
string
required

Unique identifier of the QR code.

Example:

"qr_EtjRHL7viz7RCz"

Response

QR code details retrieved successfully.

A Razorpay QR Code object for UPI payments.

id
string

Unique identifier of the QR code.

Example:

"qr_EtjRHL7viz7RCz"

entity
string

Entity type. Always qr_code.

Example:

"qr_code"

created_at
integer

Unix timestamp at which the QR code was created.

Example:

1623914648

name
string

Name or label for the QR code.

Example:

"Store Front Display"

usage
enum<string>

Whether the QR code can be used for single or multiple payments.

Available options:
single_use,
multiple_use
Example:

"single_use"

type
enum<string>

Type of QR code. upi_qr for UPI payments.

Available options:
upi_qr
Example:

"upi_qr"

image_url
string

URL of the QR code image. Can be embedded or downloaded.

Example:

"https://rzp.io/i/w2CEwYmkAu"

payment_amount
integer | null

Fixed payment amount in smallest currency unit (paise). Null for open amount QR codes.

Example:

100

status
enum<string>

Current status of the QR code.

Available options:
active,
closed
Example:

"active"

description
string

Description of the QR code.

Example:

"For Store 1"

fixed_amount
boolean

Whether the QR code has a fixed payment amount.

Example:

true

payments_amount_received
integer

Total amount received through this QR code in smallest currency unit.

Example:

0

payments_count_received
integer

Total number of payments received through this QR code.

Example:

0

notes
object

Key-value pairs for storing additional information.

Example:
customer_id
string | null

Unique identifier of the customer associated with this QR code.

Example:

"cust_EtjRHOF6vrzpfy"

close_by
integer | null

Unix timestamp after which the QR code will be automatically closed.

Example:

1681615838

closed_at
integer | null

Unix timestamp at which the QR code was closed.

Example:

null

close_reason
string | null

Reason for closing the QR code.

Example:

null